Add a related customer

Links another customer to this one with a relationship type (child, partner, parent, sibling, …). Identify the related customer either by 'relatedCustomerId', or by 'idType' and 'idNumber': when no customer of the tenant has that ID number a new customer is created from the given details (first and last name, gender, birth date, email, cell number), with this customer's manager, class and source and the tenant's default inactive status. The opposite relationship is added to the related customer automatically (e.g. adding a child also adds this customer as the child's parent). When 'createDerivedRelationships' is true, implied relationships are added too (e.g. a child is also linked to this customer's partner and parents). Adding a customer that is already related is ignored. Returns the updated customer; the new relationship's 'id' (in 'relatedCustomers') is the 'relationshipId' used to update or remove it. Errors: 400 with error code 40001 when 'relationshipType' is missing, the customer is linked to itself, or neither 'relatedCustomerId' nor 'idType' and 'idNumber' are given; 404 when the customer or the related customer does not exist; 400 with error code 40000 when the caller may not access the customer or the related customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

ID of the customer (UUID)

Body Params

The related customer and the type of the relationship.

uuid
relationshipType
object
required
idType
object

Customer Identity Type:
1 - ת.ז
2 - דרכון
3 - רישיון נהיגה
4 - אחר
5 - ח.פ
6 - ח.צ

string
date
string
string
gender
object

Gender:
1 - לא מוגדר
2 - זכר
3 - נקבה

date
boolean
string
string
string
boolean
Responses

400

Invalid input (40001) or a customer is not accessible (40000)

404

Customer or related customer not found

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*